/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __PLAYTILE_HEADER__
#define __PLAYTILE_HEADER__

#include <qwidget.h>
#include <qcolor.h>
#include "SpriteCollection.h"

class PlayTile : public QWidget
{
    Q_OBJECT

public:
    PlayTile(QWidget *parent, SpriteCollection *sprites, int id,
	     int state = 0, const char *name = 0, WFlags f = 0);

private:
    SpriteCollection *m_sprites;
    int m_id;
    int m_state;

public:
    void setState(int state);
    void setId(int id);
    int state(void);
    int id(void);

signals:
    void tileClicked(int id);

protected:
    void paintEvent(QPaintEvent *event);
    void mousePressEvent(QMouseEvent *event);
};

#endif // __PLAYTILE_HEADER__

