/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __REVERSI_HEADER__
#define __REVERSI_HEADER__

#include <qpe/qpemenubar.h>
#include <qmainwindow.h>
#include <qpopupmenu.h>
#include "PlayField.h"

class ZRev7 : public QMainWindow
{
    Q_OBJECT

public:
    ZRev7(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~ZRev7();

private:
    void readConfig(void);
    void writeConfig(void);

private:
    PlayField *m_field;
    QPopupMenu *m_strengthMenu;
    QPopupMenu *m_animationsMenu;
    QPopupMenu *m_computerBeginsMenu;
    int m_strength;
    bool m_animations;
    bool m_computerBegins;

protected slots:
    void updateStrength(int strength);
    void updateAnimations(int animations);
    void updateComputerBegins(int computerBegins);
};

#endif // __REVERSI_HEADER__

